#
# Author: Kapil Thangavelu <kvthan@wm.edu>
# CVS: $Id: EngineConfig.py,v 1.3 2001/09/28 00:25:17 ender Exp $
# License: GPL


#################################
# Builders
# take a query dict and convert it into
# a relational methods

# basic builder
#from Builder import QueryBuilder

# bind builder - transforms bind to sqlvars
from Builder import BindQueryBuilder

BUILDER = BindQueryBuilder

#################################
# Queries
#
# for now alias to ZSQL, future
# will be different, to enable
# compatible bind variable support
# etc, currently this is hardcoded
# into builder since its hard to 
# define construction interfaces
# apriori. IOW, changing this value
# has no effect.

from ZoacsQuery import ZoacsQuery
QUERY = ZoacsQuery

#################################
# Finder
#
# find query resources given
# a resource source... for now
# only applicable to files and
# directories. currently finder
# is hardcoded to look for .xql
# files to change edit the
# Finder's PATTERN string

from ResourceFinder import FileResourceFinder
FINDER = FileResourceFinder

#################################
# Loader
#
# Converts a resource intoo 
# a set of query dicts 


# for marker delimited queries
# from Loader import RFC822MarkerDelimitedLoader
	
from Loader import XMLLoader
LOADER = XMLLoader

config = {
    'LOADER':LOADER,
    'BUILDER':BUILDER,
    'FINDER':FINDER,
    'QUERY':QUERY
    }






