#
# Author: Kapil Thangavelu <kvthan@wm.edu>
# CVS: $Id: QueryHandler.py,v 1.2 2001/09/09 09:19:47 ender Exp $
# License: GPL

from xml.sax import ContentHandler

class QueryHandler(ContentHandler):

    def __init__(self):
        self._queries = []
        self._inquery = 0
        self._qname = ''
        self._source = ''
        
    def startElement(self,name, attrs):
        if name == 'fullquery':
            self._qname = attrs['name']
        elif name == 'querytext':
            self._inquery = 1                        
            
    def endElement(self,name):
        if name == 'fullquery':
            self._queries.append(
                {'name':str(self._qname), 'source':str(self._source).strip()})
            self._source = ''                        
        elif name == 'querytext':
            self._inquery = 0


    def characters(self, content):
        if self._inquery:
            self._source = self._source+content
        
            
        
        
